gnutls_x509_crt_list_import(3)

NAME
gnutls_x509_crt_list_import - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_list_import(gnutls_x509_crt_t * certs, unsigned int * cert_max, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t * certs
    Indicates where the parsed list will be copied to. Must not be initialized.

unsigned int * cert_max
    Initially must hold the maximum number of certs. It will be updated with the number of certs available.

const gnutls_datum_t * data
    The PEM encoded certificate.

gnutls_x509_crt_fmt_t format
    One of DER or PEM.

unsigned int flags
    must be (0) or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will convert the given PEM encoded certificate list to the native gnutls_x509_crt_t format. The output will be stored in certs . They will be automatically initialized.

The flag GNUTLS_X509_CRT_LIST_IMPORT_FAIL_IF_EXCEED will cause import to fail if the certificates in the provided buffer are more than the available structures. The GNUTLS_X509_CRT_LIST_FAIL_IF_UNSORTED flag will cause the function to fail if the provided list is not sorted from subject to issuer.

If the Certificate is PEM encoded it should have a header of "X509 CERTIFICATE", or "CERTIFICATE".

RETURNS
the number of certificates read or a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/